Debian Bug report logs - #626422
kfreebsd-image-8.2-1-686: Can't upgrade from kfreebsd7.3

version graph

Package: libc0.1; Maintainer for libc0.1 is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc0.1 is src:eglibc.

Reported by: Nigel Horne <njh@bandsman.co.uk>

Date: Wed, 11 May 2011 20:45:01 UTC

Severity: normal

Fixed in version eglibc/2.13-5

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#626422; Package kfreebsd-image-8.2-1-686. (Wed, 11 May 2011 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nigel Horne <njh@bandsman.co.uk>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 11 May 2011 20:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nigel Horne <njh@bandsman.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kfreebsd-image-8.2-1-686: Can't upgrade from kfreebsd7.3
Date: Wed, 11 May 2011 16:43:03 -0400
Package: kfreebsd-image-8.2-1-686
Severity: normal


apt-get update
qemu-kfreebsd:/home/njh# apt-get install kfreebsd-image-8.2-1-686 libc0.1-i686
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  libc0.1
Suggested packages:
  glibc-doc
The following NEW packages will be installed:
  kfreebsd-image-8.2-1-686
The following packages will be upgraded:
  libc0.1 libc0.1-i686
2 upgraded, 1 newly installed, 0 to remove and 87 not upgraded.
4 not fully installed or removed.
Need to get 0 B/16.0 MB of archives.
After this operation, 21.3 MB of additional disk space will be used.
Do you want to continue [Y/n]? 
Preconfiguring packages ...
(Reading database ... 29708 files and directories currently installed.)
Preparing to replace libc0.1 2.11.2-13 (using .../libc0.1_2.13-2_kfreebsd-i386.deb) ...
Checking for services that may need to be restarted...
Checking init scripts...
WARNING: This version of glibc uses UMTX_OP_WAIT and UMTX_OP_WAKE
syscalls that are not present in the current running kernel. They
have been added in kFreeBSD 8.0. Your system should still work,
but it is recommended to upgrade to a more recent version.
Unpacking replacement libc0.1 ...
FATAL: kernel too old
dpkg: warning: subprocess old post-removal script returned error exit status 1
dpkg - trying script from the new package instead ...
FATAL: kernel too old
dpkg: error processing /var/cache/apt/archives/libc0.1_2.13-2_kfreebsd-i386.deb (--unpack):
 subprocess new post-removal script returned error exit status 1
configured to not write apport reports
                                      FATAL: kernel too old
dpkg: error while cleaning up:
 subprocess installed pre-installation script returned error exit status 1
Errors were encountered while processing:
 /var/cache/apt/archives/libc0.1_2.13-2_kfreebsd-i386.deb
localepurge: Disk space freed in /usr/share/locale: 0 KiB
localepurge: Disk space freed in /usr/share/man: 0 KiB

Total disk space freed by localepurge: 0 KiB

E: Sub-process /usr/bin/dpkg returned an error code (1)
qemu-kfreebsd:/home/njh# 

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 7.3-1-486
Locale: LANG=en_GB, LC_CTYPE=en_GB (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#626422; Package kfreebsd-image-8.2-1-686. (Thu, 12 May 2011 06:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 12 May 2011 06:06:08 GMT) Full text and rfc822 format available.

Message #10 received at 626422@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Nigel Horne <njh@bandsman.co.uk>, 626422@bugs.debian.org
Subject: Re: Bug#626422: kfreebsd-image-8.2-1-686: Can't upgrade from kfreebsd7.3
Date: Thu, 12 May 2011 07:36:49 +0200 (CEST)
> qemu-kfreebsd:/home/njh# apt-get install kfreebsd-image-8.2-1-686 libc0.1-i686

> The following extra packages will be installed:
>  libc0.1
> The following packages will be upgraded:
>  libc0.1 libc0.1-i686

> WARNING: This version of glibc uses UMTX_OP_WAIT and UMTX_OP_WAKE
> syscalls that are not present in the current running kernel. They
> have been added in kFreeBSD 8.0. Your system should still work,
> but it is recommended to upgrade to a more recent version.
> Unpacking replacement libc0.1 ...
> FATAL: kernel too old
> dpkg: warning: subprocess old post-removal script returned error exit status 1
> dpkg - trying script from the new package instead ...
> FATAL: kernel too old
> dpkg: error processing /var/cache/apt/archives/libc0.1_2.13-2_kfreebsd-i386.deb (--unpack):
> subprocess new post-removal script returned error exit status 1
> configured to not write apport reports
>                                      FATAL: kernel too old

> Debian Release: wheezy/sid
> Kernel: kFreeBSD 7.3-1-486

The old (squeeze) eglibc only suggested 8.0 kernel,
The new (wheezy) eglibc really needs at least 8.0 kernel.
The squeeze have been shipped with 8.1 kernel only.
In general, direct upgrades from lenny to sid are not supported.

What does just

"apt-get install kfreebsd-image-8.2-1-686"

and eventually what does

"apt-get --no-install-recommends install kfreebsd-image-8.2-1-686"

After that, you have to ***run*** 8.x kernel,
before you can proceed to upgrade libc.

Cheers
	Petr






Bug reassigned from package 'kfreebsd-image-8.2-1-686' to 'libc0.1'. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Thu, 12 May 2011 09:30:18 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Aurelien Jarno <aurel32@alioth.debian.org> to control@bugs.debian.org. (Thu, 12 May 2011 09:30:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#626422; Package libc0.1. (Thu, 12 May 2011 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nigel Horne <njh@bandsman.co.uk>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 12 May 2011 13:39:03 GMT) Full text and rfc822 format available.

Message #19 received at 626422@bugs.debian.org (full text, mbox):

From: Nigel Horne <njh@bandsman.co.uk>
To: 626422@bugs.debian.org
Subject: Re: Bug#626422: kfreebsd-image-8.2-1-686: Can't upgrade from kfreebsd7.3
Date: Thu, 12 May 2011 09:36:31 -0400
[Message part 1 (text/plain, inline)]
Petr,

>> qemu-kfreebsd:/home/njh# apt-get install kfreebsd-image-8.2-1-686 libc0.1-i686
> 
>> The following extra packages will be installed:
>> libc0.1
>> The following packages will be upgraded:
>> libc0.1 libc0.1-i686
> 
>> WARNING: This version of glibc uses UMTX_OP_WAIT and UMTX_OP_WAKE
>> syscalls that are not present in the current running kernel. They
>> have been added in kFreeBSD 8.0. Your system should still work,
>> but it is recommended to upgrade to a more recent version.
>> Unpacking replacement libc0.1 ...
>> FATAL: kernel too old
>> dpkg: warning: subprocess old post-removal script returned error exit status 1
>> dpkg - trying script from the new package instead ...
>> FATAL: kernel too old
>> dpkg: error processing /var/cache/apt/archives/libc0.1_2.13-2_kfreebsd-i386.deb (--unpack):
>> subprocess new post-removal script returned error exit status 1
>> configured to not write apport reports
>>                                     FATAL: kernel too old
> 
>> Debian Release: wheezy/sid
>> Kernel: kFreeBSD 7.3-1-486
> 
> The old (squeeze) eglibc only suggested 8.0 kernel,
> The new (wheezy) eglibc really needs at least 8.0 kernel.
> The squeeze have been shipped with 8.1 kernel only.
> In general, direct upgrades from lenny to sid are not supported.
> 
> What does just
> 
> "apt-get install kfreebsd-image-8.2-1-686"

qemu-kfreebsd:/usr/local# apt-get install kfreebsd-image-8.2-1-686
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 libc0.1 : Depends: libc-bin (= 2.13-3) but 2.13-2 is to be installed
 libc0.1-dev : Depends: libc0.1 (= 2.13-2) but 2.13-3 is to be installed
 libc0.1-i686 : PreDepends: libc0.1 (= 2.11.2-13) but 2.13-3 is to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

> 
> and eventually what does
> 
> "apt-get --no-install-recommends install kfreebsd-image-8.2-1-686"

Given the above message I was a bit worried about doing that stage, so I thought it best to wait for your opinion before I do.
> 
> After that, you have to ***run*** 8.x kernel,
> before you can proceed to upgrade libc.

Thanks,

-Nigel
[smime.p7s (application/pkcs7-signature, attachment)]

Information stored :
Bug#626422; Package libc0.1. (Thu, 12 May 2011 15:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Thu, 12 May 2011 15:12:03 GMT) Full text and rfc822 format available.

Message #24 received at 626422-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Nigel Horne <njh@bandsman.co.uk>
Cc: 626422-quiet@bugs.debian.org
Subject: Bug#626422: kfreebsd-image-8.2-1-686: Can't upgrade from kfreebsd7.3
Date: Thu, 12 May 2011 16:41:51 +0200 (CEST)
Hi.

Please point your /etc/apt/sources.list to testing only
and try to reinstall libc0.1
	apt-get update
	apt-get install --reinstall libc0.1

It should be downgraded to 2.11.2-11

Eventually add other needed packages like

	apt-get --reinstall install libc0.1 libc0.1-dev  libc0.1-i686

It should bring you correct stage of packages.
After that "apt-get install kfreebsd-image-8.2-1-686",
reboot into 8.2 kernel and restore you previous /etc/apt/sources.list.

Petr




Information stored :
Bug#626422; Package libc0.1. (Tue, 17 May 2011 14:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nigel Horne <njh@bandsman.co.uk>:
Extra info received and filed, but not forwarded. (Tue, 17 May 2011 14:33:06 GMT) Full text and rfc822 format available.

Message #29 received at 626422-quiet@bugs.debian.org (full text, mbox):

From: Nigel Horne <njh@bandsman.co.uk>
To: 626422-quiet@bugs.debian.org
Subject: Re: Bug#626422: kfreebsd-image-8.2-1-686: Can't upgrade from kfreebsd7.3
Date: Tue, 17 May 2011 10:30:14 -0400
On 12 May 2011, at 10:41, Petr Salinger wrote:

> Hi.
> 
> Please point your /etc/apt/sources.list to testing only
> and try to reinstall libc0.1
> 	apt-get update
> 	apt-get install --reinstall libc0.1


> 
> It should be downgraded to 2.11.2-11

I'm sorry to say that doesn't work either:

qemu-kfreebsd:/etc/apt# apt-get update
Get:1 http://ftp.de.debian.org testing InRelease [135 kB]
Get:2 http://ftp.de.debian.org testing/main Sources [4,908 kB]
Get:3 http://ftp.de.debian.org testing/main kfreebsd-i386 Packages [6,398 kB]
Get:4 http://ftp.de.debian.org testing/main TranslationIndex [2,264 B]         
Fetched 11.4 MB in 12s (902 kB/s)                                              
Reading package lists... Done
qemu-kfreebsd:/etc/apt# apt-get install --reinstall libc0.1
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 libc0.1 : Depends: libc-bin (= 2.13-4) but 2.13-3 is to be installed
 libc0.1-dev : Depends: libc0.1 (= 2.13-3) but 2.13-4 is to be installed
 libc0.1-i686 : PreDepends: libc0.1 (= 2.11.2-13) but 2.13-4 is to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
qemu-kfreebsd:/etc/apt# cat /etc/apt/sources.list
# See sources.list(5) for more information, especialy
# Remember that you can only use http, ftp or file URIs
# CDROMs are managed through the apt-cdrom tool.

# Uncomment if you want the apt-get source function to work
deb http://ftp.de.debian.org/debian testing main
deb-src http://ftp.de.debian.org/debian testing main
qemu-kfreebsd:/etc/apt# 


> 
> Eventually add other needed packages like
> 
> 	apt-get --reinstall install libc0.1 libc0.1-dev  libc0.1-i686
> 
> It should bring you correct stage of packages.
> After that "apt-get install kfreebsd-image-8.2-1-686",
> reboot into 8.2 kernel and restore you previous /etc/apt/sources.list.
> 

-Nigel





Information stored :
Bug#626422; Package libc0.1. (Wed, 18 May 2011 20:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Wed, 18 May 2011 20:03:06 GMT) Full text and rfc822 format available.

Message #34 received at 626422-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Nigel Horne <njh@bandsman.co.uk>
Cc: 626422-quiet@bugs.debian.org
Subject: Re: Bug#626422: kfreebsd-image-8.2-1-686: Can't upgrade from kfreebsd7.3
Date: Wed, 18 May 2011 22:06:49 +0200 (CEST)
Hi.

Too late.
In mean time (2011-05-14) 2.13-4 migrated into testing.
Please, can you try now this:

Point /etc/apt/sources.list only to stable.

  apt-get update
  apt-get install libc0.1=2.11.2-10+b1 libc-bin=2.11.2-10+b1 libc0.1-i686=2.11.2-10+b1 libc0.1-dev=2.11.2-10+b1 libc-dev-bin=2.11.2-10+b1


Restore your previous /etc/apt/sources.list

  apt-get update
  apt-get --no-install-recommends install kfreebsd-image-8.2-1-686

Reboot into 8.x kernel.

Upgrade the rest.

Cheers

	Petr






Information stored :
Bug#626422; Package libc0.1. (Thu, 19 May 2011 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nigel Horne <njh@bandsman.co.uk>:
Extra info received and filed, but not forwarded. (Thu, 19 May 2011 13:33:03 GMT) Full text and rfc822 format available.

Message #39 received at 626422-quiet@bugs.debian.org (full text, mbox):

From: Nigel Horne <njh@bandsman.co.uk>
To: 626422-quiet@bugs.debian.org
Subject: Re: Bug#626422: kfreebsd-image-8.2-1-686: Can't upgrade from kfreebsd7.3
Date: Thu, 19 May 2011 09:29:42 -0400
Petr,

I'm afraid it's still failing.

> 
> Too late.
> In mean time (2011-05-14) 2.13-4 migrated into testing.
> Please, can you try now this:
> 
> Point /etc/apt/sources.list only to stable.
> 
>  apt-get update
>  apt-get install libc0.1=2.11.2-10+b1 libc-bin=2.11.2-10+b1 libc0.1-i686=2.11.2-10+b1 libc0.1-dev=2.11.2-10+b1 libc-dev-bin=2.11.2-10+b1

qemu-kfreebsd:/etc/apt# apt-get update
Ign http://ftp.de.debian.org stable InRelease
Get:1 http://ftp.de.debian.org stable Release.gpg [1,671 B]
Get:2 http://ftp.de.debian.org stable Release [79.8 kB]
Get:3 http://ftp.de.debian.org stable/main Sources [3,721 kB]
Get:4 http://ftp.de.debian.org stable/main kfreebsd-i386 Packages [6,019 kB]
Get:5 http://ftp.de.debian.org stable/main TranslationIndex [2,232 B]          
Fetched 9,824 kB in 11s (838 kB/s)                                             
Reading package lists... Done
qemu-kfreebsd:/etc/apt# apt-get install libc0.1=2.11.2-10+b1 libc-bin=2.11.2-10+b1 libc0.1-i686=2.11.2-10+b1 libc0.1-dev=2.11.2-10+b1 libc-dev-bin=2.11.2-10+b1
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: The package libc0.1 needs to be reinstalled, but I can't find an archive for it.
qemu-kfreebsd:/etc/apt# cat sources.list
# See sources.list(5) for more information, especialy
# Remember that you can only use http, ftp or file URIs
# CDROMs are managed through the apt-cdrom tool.

# Uncomment if you want the apt-get source function to work
deb http://ftp.de.debian.org/debian stable main
deb-src http://ftp.de.debian.org/debian stable main
qemu-kfreebsd:/etc/apt# 
> 
> 
> Restore your previous /etc/apt/sources.list
> 
>  apt-get update
>  apt-get --no-install-recommends install kfreebsd-image-8.2-1-686
> 
> Reboot into 8.x kernel.
> 
> Upgrade the rest.

-Nigel
> 





Information stored :
Bug#626422; Package libc0.1. (Thu, 19 May 2011 15:27:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Thu, 19 May 2011 15:27:18 GMT) Full text and rfc822 format available.

Message #44 received at 626422-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Nigel Horne <njh@bandsman.co.uk>
Cc: 626422-quiet@bugs.debian.org
Subject: Re: Bug#626422: kfreebsd-image-8.2-1-686: Can't upgrade from kfreebsd7.3
Date: Thu, 19 May 2011 17:30:25 +0200 (CEST)
Hmm. :-(

What about using "qemu -snapshot" and test following:

   wget http://ftp.de.debian.org/debian/pool/main/k/kfreebsd-8/kfreebsd-image-8.2-1-686_8.2-1_kfreebsd-i386.deb
   dpkg -i kfreebsd-image-8.2-1-686_8.2-1_kfreebsd-i386.deb

Try to boot into 8.x kernel and upgrade to eglibc from current sid.

Or similarly for all previously listed eglibc based packages 
from stable. The "libc0.1" and "libc-bin" in one round.

BTW, what is output of your "dpkg -la | grep libc[0-]"

"dpkg --force-all"  and qemu snapshot mode is your friend ;-)

Please CC me on reply.

Petr







Information stored :
Bug#626422; Package libc0.1. (Fri, 20 May 2011 15:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nigel Horne <njh@bandsman.co.uk>:
Extra info received and filed, but not forwarded. (Fri, 20 May 2011 15:06:06 GMT) Full text and rfc822 format available.

Message #49 received at 626422-quiet@bugs.debian.org (full text, mbox):

From: Nigel Horne <njh@bandsman.co.uk>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 626422-quiet@bugs.debian.org
Subject: Re: Bug#626422: kfreebsd-image-8.2-1-686: Can't upgrade from kfreebsd7.3
Date: Fri, 20 May 2011 11:03:41 -0400
On 19 May 2011, at 11:30, Petr Salinger wrote:

> Hmm. :-(
> 
> What about using "qemu -snapshot" and test following:
> 
>   wget http://ftp.de.debian.org/debian/pool/main/k/kfreebsd-8/kfreebsd-image-8.2-1-686_8.2-1_kfreebsd-i386.deb
>   dpkg -i kfreebsd-image-8.2-1-686_8.2-1_kfreebsd-i386.deb

Done.

> 
> Try to boot into 8.x kernel and upgrade to eglibc from current sid.

Done.

apt-get update
apt-get upgrade gave errors, but I did 'apt-get -f install' and that worked :-)
Then did another apt-get upgrade - no errors.
did apt-get dist-upgrade - no errors.  Excellent!

Rebooted and all looks good.  I am crossing my fingers that the update when smoothly.

Thanks for your help and for the software.

-Nigel

> 
> Or similarly for all previously listed eglibc based packages from stable. The "libc0.1" and "libc-bin" in one round.
> 
> BTW, what is output of your "dpkg -la | grep libc[0-]"
> 
> "dpkg --force-all"  and qemu snapshot mode is your friend ;-)
> 
> Please CC me on reply.
> 
> Petr
> 
> 





Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Mon, 06 Jun 2011 12:07:42 GMT) Full text and rfc822 format available.

Notification sent to Nigel Horne <njh@bandsman.co.uk>:
Bug acknowledged by developer. (Mon, 06 Jun 2011 12:07:47 GMT) Full text and rfc822 format available.

Message #54 received at 626422-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 626422-close@bugs.debian.org
Subject: Bug#626422: fixed in eglibc 2.13-5
Date: Mon, 06 Jun 2011 12:03:48 +0000
Source: eglibc
Source-Version: 2.13-5

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.13-5_all.deb
  to main/e/eglibc/eglibc-source_2.13-5_all.deb
eglibc_2.13-5.diff.gz
  to main/e/eglibc/eglibc_2.13-5.diff.gz
eglibc_2.13-5.dsc
  to main/e/eglibc/eglibc_2.13-5.dsc
glibc-doc_2.13-5_all.deb
  to main/e/eglibc/glibc-doc_2.13-5_all.deb
libc-bin_2.13-5_amd64.deb
  to main/e/eglibc/libc-bin_2.13-5_amd64.deb
libc-dev-bin_2.13-5_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.13-5_amd64.deb
libc6-dbg_2.13-5_amd64.deb
  to main/e/eglibc/libc6-dbg_2.13-5_amd64.deb
libc6-dev-i386_2.13-5_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.13-5_amd64.deb
libc6-dev_2.13-5_amd64.deb
  to main/e/eglibc/libc6-dev_2.13-5_amd64.deb
libc6-i386_2.13-5_amd64.deb
  to main/e/eglibc/libc6-i386_2.13-5_amd64.deb
libc6-pic_2.13-5_amd64.deb
  to main/e/eglibc/libc6-pic_2.13-5_amd64.deb
libc6-prof_2.13-5_amd64.deb
  to main/e/eglibc/libc6-prof_2.13-5_amd64.deb
libc6-udeb_2.13-5_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.13-5_amd64.udeb
libc6_2.13-5_amd64.deb
  to main/e/eglibc/libc6_2.13-5_amd64.deb
libnss-dns-udeb_2.13-5_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.13-5_amd64.udeb
libnss-files-udeb_2.13-5_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.13-5_amd64.udeb
locales-all_2.13-5_amd64.deb
  to main/e/eglibc/locales-all_2.13-5_amd64.deb
locales_2.13-5_all.deb
  to main/e/eglibc/locales_2.13-5_all.deb
multiarch-support_2.13-5_amd64.deb
  to main/e/eglibc/multiarch-support_2.13-5_amd64.deb
nscd_2.13-5_amd64.deb
  to main/e/eglibc/nscd_2.13-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 626422@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 04 Jun 2011 22:30:47 +0200
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd multiarch-support libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libc6-loongson2f libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.13-5
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-loongson2f - Embedded GNU C Library: Shared libraries (Loongson 2F optimized)
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 multiarch-support - Transitional package to ensure multiarch compatibility
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 541167 577988 595380 601419 601645 604125 622385 626422 626575 627273 627355 627619
Changes: 
 eglibc (2.13-5) unstable; urgency=low
 .
   [ Aurelien Jarno ]
   * Update from stable branch:
     - Remove any/cvs-rtld-prelink.diff (merged upstream).
   * debhelper.in/libc.preinst: require a 8.0 kernel on GNU/kFreeBSD.
     Closes: #626422.
   * Bump to Standards-Version 3.9.2 (no changes).
   * Revert changes to patches/any/local-no-pagesize.diff, instead make
     sure PAGE_SIZE is not used internally.  Closes: #627273.
   * Add Swahili, Fulah and Bemba locales, backport from HEAD.
   * locale-gen: don't remove /usr/lib/locale/* in locale-gen. Closes:
     #626575.
   * Add patches/any/cvs-setlocale.diff from upstream fixing reset to
     C locale issue in setlocale().  Closes: #627355.
   * Add patches/amd64/cvs-powl.diff from upstream to fix corner cases
     in powl() on amd64.
   * Add patches/localedata/locale-sv_FI.diff from upstream to fix date
     format.  Closes: #577988.
   * Add patches/any/submitted-rlimit-rttime.diff to fix missing
     RLIMIT_RTTIME entry in <bits/resource.h>.  Closes: #627619.
   * patches/any/local-ld-multiarch.diff: add the multiarch compat dir
     instead of the multiarch dir.
   * Use the multiarch path for the native version and optimized flavors.
   * kfreebsd/local-sysdeps.diff, update to revision 3303 (from glibc-bsd),
     to fix brk(), semctl() and if_nameindex() bugs.
   * Add patches/any/local-tst-writev.diff to fix compilation of tst-writev.c.
   * Add breaks on packages which don't support multiarch paths.
   * Add patches/any/cvs-regex-oom.diff to fix an oom issue triggerable with
     some regexes.
   * Add patches/any/cvs-getaddrinfo-single-lookup.diff to fix fallback to
     single lookup dns requests.  Closes: #541167.
   * Add patches/any/cvs-unique_sym_table-corruptions.diff to fix
     unique_sym_table corruptions when doing STB_GNU_UNIQUE or
     ELF_RTYPE_CLASS_COPY lookups.
   * Replace patches/any/local-dl-deps.diff by upstream version
     patches/any/cvs-dl-deps.diff.
   * Add patches/mips/submitted-dl-platform.diff from Robert Millan to
     add dl-platform support for MIPS.
   * Add a loongson2f optimized library. Closes: #601419.
   * Update local/manpages/ld.so.8 with hardware capabilities documentation.
     Closes: #622385.
   * Update patches/localedata/submitted-bz9725-locale-sv_SE.diff to fix time
     format in sv_SE locale. Closes: #604125.
   * Add patches/mips/submitted-wordsize-clang.diff to make clang usable on
     mips/mipsel.  Closes: #601645.
   * Add patches/any/submitted-mqueue-throw.diff to fix different declarations
     of mq_open(). Closes: #595380.
 .
   [ Steve Langasek ]
   * Tighten the dependency on dpkg to a multiarch aware version.
   * Simplify the creation of /etc/ld.so.conf.d/<triplet>.conf.
   * Add multiarch fields to debian/control.
   * debian/debhelper.in/libc.preinst, debian/debhelper.in/libc.prerm:
     remove the ld.so.cache when upgrading from or downgrading to a
     pre-multiarch version; otherwise maintainer scripts start segfaulting
     immediately, and dpkg will entertainingly roll back the libc upgrade.
   * debian/control.in/libc: make the main multiarch main libc replace the
     biarch or triarch libc-foo package of the *corresponding* architecture;
     this gives us a libc6:i386 package that Replaces libc6-i386, since both
     packages contain the same linker and we want multiarch to take
     precedence.
 .
   [ Clint Adams ]
   * Patch from Marcin Juszkiewicz to provide the debian/ directory in
     eglibc-source.
 .
   [ Samuel Thibault ]
   * patches/hurd-i386/local-madvise_warn.diff: Drop "unimplemented" warning
     for madvise.
Checksums-Sha1: 
 e63a37d1f68d979537cc4a476dfe15e9936cc26f 2721 eglibc_2.13-5.dsc
 08d8c9062950a3be987c88aa8d4118286b1e21cf 851278 eglibc_2.13-5.diff.gz
 5effef2af18a9ac6c51a00fc378e94ce01d8fb58 1883092 glibc-doc_2.13-5_all.deb
 6bb0c63aace3c1fb80080686acf88f97eea748ff 12054232 eglibc-source_2.13-5_all.deb
 eb7b6b1d51f839af3bfea786c07934d0b525491a 4804546 locales_2.13-5_all.deb
 5a313997f248b1fe69d05cec869479ad045c5a5c 4313552 libc6_2.13-5_amd64.deb
 d9e68aa6da7a6d18ea5084288370a4b433464548 2631666 libc6-dev_2.13-5_amd64.deb
 6ce875f52c15c4182f922d597a6f305bdb4aea96 2075636 libc6-prof_2.13-5_amd64.deb
 42965609e425a65e5859377da55a540de9aba038 1581164 libc6-pic_2.13-5_amd64.deb
 fe1d0b05cfe2526b8d43235016a51657bf0d57ad 1080998 libc-bin_2.13-5_amd64.deb
 d75365db86158b0d8222f33fdb83cf75d3c9ef90 211528 libc-dev-bin_2.13-5_amd64.deb
 3a1c5bff621c530ab7b908d72e066c2dfc991f02 3758088 locales-all_2.13-5_amd64.deb
 f518521437dba6cd2da23b26d48a6523dbd03f52 136894 multiarch-support_2.13-5_amd64.deb
 7a03c7164b4a3e36672510b82a0674c635ff7eac 3831698 libc6-i386_2.13-5_amd64.deb
 18236ab4ce1d49c01d25947b93fb24c8b27e8879 1556498 libc6-dev-i386_2.13-5_amd64.deb
 3de31b67fe38080b1ab5da6875d0cf7742184827 201054 nscd_2.13-5_amd64.deb
 e439efb16e4735a37ece10b75d0b7e2b7f28e079 10487788 libc6-dbg_2.13-5_amd64.deb
 0860d7924cce3ed04cec49df48e939e736adfc45 1179620 libc6-udeb_2.13-5_amd64.udeb
 bae89e6c980aa7fb494311e838e4bd7647fc7d3c 11106 libnss-dns-udeb_2.13-5_amd64.udeb
 d726b313a118df65e9d9f62a200208a965e38527 19254 libnss-files-udeb_2.13-5_amd64.udeb
Checksums-Sha256: 
 620f5a957e18741ab7f0e8cf5be1c9703e3fe5a0c35668b83b83b701992b32d1 2721 eglibc_2.13-5.dsc
 6e9f7cfe24b7ef0bf9e8639c805e19cd9d28a565661ee1f4ec125b5e15bbb555 851278 eglibc_2.13-5.diff.gz
 a58edfc454583994b252f65fe695e9f12955fcd309ed4572756b6f7d2bcdf9a6 1883092 glibc-doc_2.13-5_all.deb
 de27d69bdb140dba42d6f261eeb0db52f405f8d6c64b95303e75209131e9f3c9 12054232 eglibc-source_2.13-5_all.deb
 a3eabc3314a85d59c060eccc09c8456894c1e0f85ee8b91c85b6fa93039ac21f 4804546 locales_2.13-5_all.deb
 9491fac89fa7068e7e6fc635c88335cf27ed4d691953ebd70dd31913c8f1aee1 4313552 libc6_2.13-5_amd64.deb
 2d46cc3188dec35253c81af4ef38f6b203b650f24af39c4458fdd984be3c4b1d 2631666 libc6-dev_2.13-5_amd64.deb
 ef9e96eb0b7e8c69ce0e58aae4a73b8b3a6c0e9dcd5feb49057aa17758a75eec 2075636 libc6-prof_2.13-5_amd64.deb
 abd5aeb972004bdb002a7cfd7bcc28a5a1125ac5da25aa663110bf4cd7309285 1581164 libc6-pic_2.13-5_amd64.deb
 be149068c1e9428c2e612dd10f33ab4401a68927e16b6074305739cf9de2a566 1080998 libc-bin_2.13-5_amd64.deb
 3f4abd775825114d6a589a339d3c29885f4d82d2a92a8a3bc60eb754b45c0176 211528 libc-dev-bin_2.13-5_amd64.deb
 9a282888863e04fd418bbb4456d846c206a45e710aedbf21cbf1f7260eecdf9f 3758088 locales-all_2.13-5_amd64.deb
 a306a2dc4817ab7f2b6064428f716d63752c852fc31300371850142cd1a7c480 136894 multiarch-support_2.13-5_amd64.deb
 973859e8e03e08b5c3bbdd32c0aa9f3e23b365b2ff65708c0be2e8b7045b3eaf 3831698 libc6-i386_2.13-5_amd64.deb
 b64e17c1845181c41a9bbe290b462a1e7c207a8324bfa58a4a63b8dbbcbbcc50 1556498 libc6-dev-i386_2.13-5_amd64.deb
 a2e053cd38a03a5abf405dc9800d4f1947896611c4a5d3213df048665aa88e9c 201054 nscd_2.13-5_amd64.deb
 e740ccb1d7f84da7ee7dee619950a105e287924b5e9307ab43fa1b1aef6d8887 10487788 libc6-dbg_2.13-5_amd64.deb
 4429227b4ee92e6e353a396222f19ffdb1b82a2ff2b1484c21c01bf87172ec09 1179620 libc6-udeb_2.13-5_amd64.udeb
 ff56eb2a257e0946156951cc3875478de1267933c3e65cd6d7cc5e70fdda88ad 11106 libnss-dns-udeb_2.13-5_amd64.udeb
 1ef13d72efd91261e1b74666b95ba1ef5ef7b50269e38dd49c60873da076327a 19254 libnss-files-udeb_2.13-5_amd64.udeb
Files: 
 ae593afd75dd41e8e5026949a4e9d67d 2721 libs required eglibc_2.13-5.dsc
 75745a2f7aeb1ff9b7b8b1a911e2c6fe 851278 libs required eglibc_2.13-5.diff.gz
 70505346ef4db645e7349c9ab25bad06 1883092 doc optional glibc-doc_2.13-5_all.deb
 d131167deac3b4bedd3c29223582961e 12054232 devel optional eglibc-source_2.13-5_all.deb
 611f79c510117c5023ae03a03f650a40 4804546 localization standard locales_2.13-5_all.deb
 a1a5ba68e75290e2dde878027148eedb 4313552 libs required libc6_2.13-5_amd64.deb
 d565954a025126b7e0d6097191867fe9 2631666 libdevel optional libc6-dev_2.13-5_amd64.deb
 ff7e157f2e96ca7ce1772772342caeeb 2075636 libdevel extra libc6-prof_2.13-5_amd64.deb
 7565377f3193b130bf8a7353d128323a 1581164 libdevel optional libc6-pic_2.13-5_amd64.deb
 5de25c43728f1af0f7b18b5f3ecb3239 1080998 libs required libc-bin_2.13-5_amd64.deb
 24282d93c9dc351fb5805f58d579d918 211528 libdevel optional libc-dev-bin_2.13-5_amd64.deb
 dd0754b05bfb2a3ac12030ea6411fa76 3758088 localization extra locales-all_2.13-5_amd64.deb
 bf86af7cb887b7d294b10f6967fe0319 136894 libs standard multiarch-support_2.13-5_amd64.deb
 70d0bf3514bdd50b292a674d05f54b39 3831698 libs optional libc6-i386_2.13-5_amd64.deb
 062f0675348f54885faf1a94d0927266 1556498 libdevel optional libc6-dev-i386_2.13-5_amd64.deb
 9ec153216ce3efb98cefd63c59c6d626 201054 admin optional nscd_2.13-5_amd64.deb
 b718a8395bea7870fa560b2a03512e6c 10487788 debug extra libc6-dbg_2.13-5_amd64.deb
 af58ed23d5ca89bbff5494a0337bf22a 1179620 debian-installer extra libc6-udeb_2.13-5_amd64.udeb
 4eb20a1c945e73b36321fb9ee94ac748 11106 debian-installer extra libnss-dns-udeb_2.13-5_amd64.udeb
 ce115360ff38b4ab1af457a7dbc8c6af 19254 debian-installer extra libnss-files-udeb_2.13-5_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFN6qzSw3ao2vG823MRAnEXAJ42LZDhq5QYU22tJ1dFhYQRqMDTxgCaAiNl
zFlbP5g6o36sOJOIJ9V9uDE=
=3d0K
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Jul 2011 07:33:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:38:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.